## tig 0.5

=== Makefile ===
prefix	= $(HOME)
bindir= $(prefix)/bin
mandir = $(prefix)/man
docdir = $(prefix)/share/doc
# DESTDIR=

LDLIBS  = -lcurses
CFLAGS	= -Wall -O2
DFLAGS	= -g -DDEBUG -Werror
PROGS	= tig
DOCS	= tig.1.html tig.1 tigrc.5.html tigrc.5 \
	  manual.toc manual.html manual.html-chunked manual.pdf \
	  README.html

ifneq (,$(wildcard .git))
VERSION = $(shell git-describe)
WTDIRTY = $(shell git-diff-index --name-only HEAD 2>/dev/null)
CFLAGS += '-DVERSION="$(VERSION)$(if $(WTDIRTY),-dirty)"'
endif

all: $(PROGS)
all-debug: $(PROGS)
all-debug: CFLAGS += $(DFLAGS)
doc: $(DOCS)

install: all
	mkdir -p $(DESTDIR)$(bindir) && \
	for prog in $(PROGS); do \
		install $$prog $(DESTDIR)$(bindir); \
	done

install-doc: doc
	mkdir -p $(DESTDIR)$(mandir)/man1 \
		 $(DESTDIR)$(mandir)/man5 \
		 $(DESTDIR)$(docdir)/tig
	for doc in $(DOCS); do \
		case "$$doc" in \
		*.1) install $$doc $(DESTDIR)$(mandir)/man1 ;; \
		*.5) install $$doc $(DESTDIR)$(mandir)/man5 ;; \
		*.html) install $$doc $(DESTDIR)$(docdir)/tig ;; \
		esac \
	done

clean:
	rm -rf manual.html-chunked
	rm -f $(PROGS) $(DOCS) core *.xml

spell-check:
	aspell --lang=en --check tig.1.txt tigrc.5.txt manual.txt

strip: all
	strip $(PROGS)

.PHONY: all all-debug doc install install-doc clean spell-check

manual.toc: manual.txt
	sed -n '/^\[\[/,/\(---\|~~~\)/p' < $< | while read line; do \
		case "$$line" in \
		"-----"*)  echo ". <<$$ref>>"; ref= ;; \
		"~~~~~"*)  echo "- <<$$ref>>"; ref= ;; \
		"[["*"]]") ref="$$line" ;; \
		*)	   ref="$$ref, $$line" ;; \
		esac; done | sed 's/\[\[\(.*\)\]\]/\1/' > $@

tig: tig.c

README.html: README
	asciidoc -b xhtml11 -d article -a readme $<

%.pdf : %.xml
	docbook2pdf $<

%.1.html : %.1.txt
	asciidoc -b xhtml11 -d manpage $<

%.1.xml : %.1.txt
	asciidoc -b docbook -d manpage $<

%.1 : %.1.xml
	xmlto man $<

%.5.html : %.5.txt
	asciidoc -b xhtml11 -d manpage $<

%.5.xml : %.5.txt
	asciidoc -b docbook -d manpage $<

%.5 : %.5.xml
	xmlto man $<

%.html : %.txt
	asciidoc -b xhtml11 -d article -n $<

%.xml : %.txt
	asciidoc -b docbook -d article $<

%.html-chunked : %.xml
	xmlto html -o $@ $<

# Maintainer stuff
sync-docs:
	cg switch release
	-cg merge -n master
	cg commit -m "Merge with master"
	make doc
	cg commit -m "Sync docs"
	cg switch master

## tig 0.7

=== Makefile ===
prefix	= $(HOME)
bindir	= $(prefix)/bin
mandir	= $(prefix)/man
docdir	= $(prefix)/share/doc
# DESTDIR=

# Get version either via git or from VERSION file. Allow either
# to be overwritten by setting DIST_VERSION on the command line.
ifneq (,$(wildcard .git))
GITDESC	= $(subst tig-,,$(shell git describe))
WTDIRTY	= $(if $(shell git-diff-index HEAD 2>/dev/null),-dirty)
VERSION	= $(GITDESC)$(WTDIRTY)
else
VERSION	= $(shell test -f VERSION && cat VERSION || echo "unknown-version")
endif
ifdef DIST_VERSION
VERSION = $(DIST_VERSION)
endif

RPM_VERSION = $(subst -,.,$(VERSION))

LDLIBS	= -lcurses
CFLAGS	= -Wall -O2 '-DVERSION="$(VERSION)"'
DFLAGS	= -g -DDEBUG -Werror
PROGS	= tig
MANDOC	= tig.1 tigrc.5
HTMLDOC = tig.1.html tigrc.5.html manual.html README.html
ALLDOC	= $(MANDOC) $(HTMLDOC) manual.html-chunked manual.pdf
TARNAME	= tig-$(RPM_VERSION)

all: $(PROGS)
all-debug: $(PROGS)
all-debug: CFLAGS += $(DFLAGS)
doc: $(ALLDOC)
doc-man: $(MANDOC)
doc-html: $(HTMLDOC)

install: all
	mkdir -p $(DESTDIR)$(bindir) && \
	for prog in $(PROGS); do \
		install $$prog $(DESTDIR)$(bindir); \
	done

install-doc-man: doc-man
	mkdir -p $(DESTDIR)$(mandir)/man1 \
		 $(DESTDIR)$(mandir)/man5
	for doc in $(MANDOC); do \
		case "$$doc" in \
		*.1) install $$doc $(DESTDIR)$(mandir)/man1 ;; \
		*.5) install $$doc $(DESTDIR)$(mandir)/man5 ;; \
		esac \
	done

install-doc-html: doc-html
	mkdir -p $(DESTDIR)$(docdir)/tig
	for doc in $(HTMLDOC); do \
		case "$$doc" in \
		*.html) install $$doc $(DESTDIR)$(docdir)/tig ;; \
		esac \
	done

install-doc: install-doc-man install-doc-html

clean:
	rm -rf manual.html-chunked $(TARNAME)
	rm -f $(PROGS) $(ALLDOC) core *.xml *.toc
	rm -f *.spec tig-*.tar.gz

spell-check:
	aspell --lang=en --check tig.1.txt tigrc.5.txt manual.txt

strip: all
	strip $(PROGS)

dist: tig.spec
	git-archive --format=tar --prefix=$(TARNAME)/ HEAD > $(TARNAME).tar
	@mkdir -p $(TARNAME)
	@cp tig.spec $(TARNAME)
	tar rf $(TARNAME).tar $(TARNAME)/tig.spec
	@rm -rf $(TARNAME)
	gzip -f -9 $(TARNAME).tar

rpm: dist
	rpmbuild -ta $(TARNAME).tar.gz

# Maintainer stuff
release-doc:
	git checkout release && \
	git merge master && \
	make clean doc-man doc-html && \
	git add $(MANDOC) $(HTMLDOC) && \
	git commit -m "Sync docs" && \
	git checkout master

release-dist: release-doc
	git checkout release && \
	make dist && \
	git checkout master

.PHONY: all all-debug doc doc-man doc-html install install-doc \
	install-doc-man install-doc-html clean spell-check dist rpm

tig.spec: tig.spec.in
	sed -e 's/@@VERSION@@/$(RPM_VERSION)/g' < $< > $@

tig: tig.c

manual.html: manual.toc
manual.toc: manual.txt
	sed -n '/^\[\[/,/\(---\|~~~\)/p' < $< | while read line; do \
		case "$$line" in \
		"-----"*)  echo ". <<$$ref>>"; ref= ;; \
		"~~~~~"*)  echo "- <<$$ref>>"; ref= ;; \
		"[["*"]]") ref="$$line" ;; \
		*)	   ref="$$ref, $$line" ;; \
		esac; done | sed 's/\[\[\(.*\)\]\]/\1/' > $@

README.html: README
	asciidoc -b xhtml11 -d article -a readme $<

%.pdf : %.xml
	docbook2pdf $<

%.1.html : %.1.txt
	asciidoc -b xhtml11 -d manpage $<

%.1.xml : %.1.txt
	asciidoc -b docbook -d manpage -aversion=$(VERSION) $<

%.1 : %.1.xml
	xmlto -m manpage.xsl man $<

%.5.html : %.5.txt
	asciidoc -b xhtml11 -d manpage $<

%.5.xml : %.5.txt
	asciidoc -b docbook -d manpage -aversion=$(VERSION) $<

%.5 : %.5.xml
	xmlto -m manpage.xsl man $<

%.html : %.txt
	asciidoc -b xhtml11 -d article -n $<

%.xml : %.txt
	asciidoc -b docbook -d article $<

%.html-chunked : %.xml
	xmlto html -o $@ $<

## tig 0.9.1

=== Makefile ===
## Makefile for tig

all:

# Include setting from the configure script
-include config.make

prefix ?= $(HOME)
bindir ?= $(prefix)/bin
mandir ?= $(prefix)/man
datarootdir ?= $(prefix)/share
docdir ?= $(datarootdir)/doc
# DESTDIR=

# Get version either via git or from VERSION file. Allow either
# to be overwritten by setting DIST_VERSION on the command line.
ifneq (,$(wildcard .git))
GITDESC	= $(subst tig-,,$(shell git describe))
WTDIRTY	= $(if $(shell git diff-index HEAD 2>/dev/null),-dirty)
VERSION	= $(GITDESC)$(WTDIRTY)
else
VERSION	= $(shell test -f VERSION && cat VERSION || echo "unknown-version")
endif
ifdef DIST_VERSION
VERSION = $(DIST_VERSION)
endif

# Split the version "TAG-OFFSET-gSHA1-DIRTY" into "TAG OFFSET"
# and append 0 as a fallback offset for "exact" tagged versions.
RPM_VERLIST = $(filter-out g% dirty,$(subst -, ,$(VERSION))) 0
RPM_VERSION = $(word 1,$(RPM_VERLIST))
RPM_RELEASE = $(word 2,$(RPM_VERLIST))$(if $(WTDIRTY),.dirty)

LDLIBS ?= -lcurses
CFLAGS ?= -Wall -O2
DFLAGS	= -g -DDEBUG -Werror
PROGS	= tig
MANDOC	= tig.1 tigrc.5
HTMLDOC = tig.1.html tigrc.5.html manual.html README.html
ALLDOC	= $(MANDOC) $(HTMLDOC) manual.html-chunked manual.pdf

# Never include the release number in the tarname for tagged
# versions.
ifneq ($(if $(DIST_VERSION),$(words $(RPM_VERLIST))),2)
TARNAME	= tig-$(RPM_VERSION)-$(RPM_RELEASE)
else
TARNAME	= tig-$(RPM_VERSION)
endif

override CFLAGS += '-DTIG_VERSION="$(VERSION)"'

AUTORECONF ?= autoreconf
ASCIIDOC ?= asciidoc
XMLTO ?= xmlto
DOCBOOK2PDF ?= docbook2pdf

all: $(PROGS)
all-debug: $(PROGS)
all-debug: CFLAGS += $(DFLAGS)
doc: $(ALLDOC)
doc-man: $(MANDOC)
doc-html: $(HTMLDOC)

install: all
	mkdir -p $(DESTDIR)$(bindir) && \
	for prog in $(PROGS); do \
		install -p -m 0755 $$prog $(DESTDIR)$(bindir); \
	done

install-doc-man: doc-man
	mkdir -p $(DESTDIR)$(mandir)/man1 \
		 $(DESTDIR)$(mandir)/man5
	for doc in $(MANDOC); do \
		case "$$doc" in \
		*.1) install -p -m 0644 $$doc $(DESTDIR)$(mandir)/man1 ;; \
		*.5) install -p -m 0644 $$doc $(DESTDIR)$(mandir)/man5 ;; \
		esac \
	done

install-doc-html: doc-html
	mkdir -p $(DESTDIR)$(docdir)/tig
	for doc in $(HTMLDOC); do \
		case "$$doc" in \
		*.html) install -p -m 0644 $$doc $(DESTDIR)$(docdir)/tig ;; \
		esac \
	done

install-doc: install-doc-man install-doc-html

clean:
	$(RM) -r $(TARNAME) *.spec tig-*.tar.gz tig-*.tar.gz.md5
	$(RM) $(PROGS) core *.o *.xml

distclean: clean
	$(RM) -r manual.html-chunked *.toc $(ALLDOC)
	$(RM) -r autom4te.cache aclocal.m4 config.{h,log,make,status} config.h.in configure

spell-check:
	aspell --lang=en --check tig.1.txt tigrc.5.txt manual.txt

strip: $(PROGS)
	strip $(PROGS)

dist: configure tig.spec
	@mkdir -p $(TARNAME) && \
	cp tig.spec configure config.h.in aclocal.m4 $(TARNAME) && \
	echo $(VERSION) > $(TARNAME)/VERSION
	git archive --format=tar --prefix=$(TARNAME)/ HEAD | \
	tar --delete $(TARNAME)/VERSION > $(TARNAME).tar && \
	tar rf $(TARNAME).tar `find $(TARNAME)/*` && \
	gzip -f -9 $(TARNAME).tar && \
	md5sum $(TARNAME).tar.gz > $(TARNAME).tar.gz.md5
	@rm -rf $(TARNAME)

rpm: dist
	rpmbuild -ta $(TARNAME).tar.gz

configure: configure.ac acinclude.m4
	$(AUTORECONF) -v

# Maintainer stuff
release-doc:
	git checkout release && \
	git merge master && \
	$(MAKE) distclean doc-man doc-html && \
	git add -f $(MANDOC) $(HTMLDOC) && \
	git commit -m "Sync docs" && \
	git checkout master

release-dist: release-doc
	git checkout release && \
	$(MAKE) dist && \
	git checkout master

.PHONY: all all-debug doc doc-man doc-html install install-doc \
	install-doc-man install-doc-html clean spell-check dist rpm

tig.o: tig.c
tig: tig.o

tig.spec: contrib/tig.spec.in
	sed -e 's/@@VERSION@@/$(RPM_VERSION)/g' \
	    -e 's/@@RELEASE@@/$(RPM_RELEASE)/g' < $< > $@

manual.html: manual.toc
manual.toc: manual.txt
	sed -n '/^\[\[/,/\(---\|~~~\)/p' < $< | while read line; do \
		case "$$line" in \
		"-----"*)  echo ". <<$$ref>>"; ref= ;; \
		"~~~~~"*)  echo "- <<$$ref>>"; ref= ;; \
		"[["*"]]") ref="$$line" ;; \
		*)	   ref="$$ref, $$line" ;; \
		esac; done | sed 's/\[\[\(.*\)\]\]/\1/' > $@

README.html: README
	$(ASCIIDOC) -b xhtml11 -d article -a readme $<

%.pdf : %.xml
	$(DOCBOOK2PDF) $<

%.1.html : %.1.txt
	$(ASCIIDOC) -b xhtml11 -d manpage $<

%.1.xml : %.1.txt
	$(ASCIIDOC) -b docbook -d manpage -aversion=$(VERSION) $<

%.1 : %.1.xml
	$(XMLTO) -m manpage.xsl man $<

%.5.html : %.5.txt
	$(ASCIIDOC) -b xhtml11 -d manpage $<

%.5.xml : %.5.txt
	$(ASCIIDOC) -b docbook -d manpage -aversion=$(VERSION) $<

%.5 : %.5.xml
	$(XMLTO) -m manpage.xsl man $<

%.html : %.txt
	$(ASCIIDOC) -b xhtml11 -d article -n $<

%.xml : %.txt
	$(ASCIIDOC) -b docbook -d article $<

%.html-chunked : %.xml
	$(XMLTO) html -o $@ $<

## tig 0.11

=== Makefile ===
--- 
+++ 
@@ -7,9 +7,10 @@
 
 prefix ?= $(HOME)
 bindir ?= $(prefix)/bin
-mandir ?= $(prefix)/man
 datarootdir ?= $(prefix)/share
+sysconfdir ?= $(prefix)/etc
 docdir ?= $(datarootdir)/doc
+mandir ?= $(datarootdir)/man
 # DESTDIR=
 
 # Get version either via git or from VERSION file. Allow either
@@ -47,10 +48,12 @@
 TARNAME	= tig-$(RPM_VERSION)
 endif
 
-override CFLAGS += '-DTIG_VERSION="$(VERSION)"'
+override CPPFLAGS += '-DTIG_VERSION="$(VERSION)"'
+override CPPFLAGS += '-DSYSCONFDIR="$(sysconfdir)"'
 
 AUTORECONF ?= autoreconf
 ASCIIDOC ?= asciidoc
+ASCIIDOC_FLAGS = -aversion=$(VERSION) -asysconfdir=$(sysconfdir)
 XMLTO ?= xmlto
 DOCBOOK2PDF ?= docbook2pdf
 
@@ -64,25 +67,29 @@
 install: all
 	mkdir -p $(DESTDIR)$(bindir) && \
 	for prog in $(PROGS); do \
-		install -p -m 0755 $$prog $(DESTDIR)$(bindir); \
+		install -p -m 0755 "$$prog" "$(DESTDIR)$(bindir)"; \
 	done
 
 install-doc-man: doc-man
 	mkdir -p $(DESTDIR)$(mandir)/man1 \
 		 $(DESTDIR)$(mandir)/man5
 	for doc in $(MANDOC); do \
+		sed 's#++SYSCONFDIR++#$(sysconfdir)#' < "$$doc" > "$$doc+"; \
 		case "$$doc" in \
-		*.1) install -p -m 0644 $$doc $(DESTDIR)$(mandir)/man1 ;; \
-		*.5) install -p -m 0644 $$doc $(DESTDIR)$(mandir)/man5 ;; \
-		esac \
+		*.1) install -p -m 0644 "$$doc+" "$(DESTDIR)$(mandir)/man1/$$doc" ;; \
+		*.5) install -p -m 0644 "$$doc+" "$(DESTDIR)$(mandir)/man5/$$doc" ;; \
+		esac; \
+		$(RM) "$$doc+"; \
 	done
 
 install-doc-html: doc-html
 	mkdir -p $(DESTDIR)$(docdir)/tig
 	for doc in $(HTMLDOC); do \
+		sed 's#++SYSCONFDIR++#$(sysconfdir)#' < "$$doc" > "$$doc+"; \
 		case "$$doc" in \
-		*.html) install -p -m 0644 $$doc $(DESTDIR)$(docdir)/tig ;; \
-		esac \
+		*.html) install -p -m 0644 "$$doc+" "$(DESTDIR)$(docdir)/tig/$$doc" ;; \
+		esac; \
+		$(RM) "$$doc+"; \
 	done
 
 install-doc: install-doc-man install-doc-html
@@ -110,7 +117,7 @@
 	tar rf $(TARNAME).tar `find $(TARNAME)/*` && \
 	gzip -f -9 $(TARNAME).tar && \
 	md5sum $(TARNAME).tar.gz > $(TARNAME).tar.gz.md5
-	@rm -rf $(TARNAME)
+	@$(RM) -r $(TARNAME)
 
 rpm: dist
 	rpmbuild -ta $(TARNAME).tar.gz
@@ -122,7 +129,7 @@
 release-doc:
 	git checkout release && \
 	git merge master && \
-	$(MAKE) distclean doc-man doc-html && \
+	$(MAKE) distclean doc-man doc-html sysconfdir=++SYSCONFDIR++ && \
 	git add -f $(MANDOC) $(HTMLDOC) && \
 	git commit -m "Sync docs" && \
 	git checkout master
@@ -152,35 +159,32 @@
 		*)	   ref="$$ref, $$line" ;; \
 		esac; done | sed 's/\[\[\(.*\)\]\]/\1/' > $@
 
-README.html: README
-	$(ASCIIDOC) -b xhtml11 -d article -a readme $<
+README.html: README asciidoc.conf
+	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b xhtml11 -d article -a readme $<
+
+%.1.html : %.1.txt asciidoc.conf
+	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b xhtml11 -d manpage $<
+
+%.1.xml : %.1.txt asciidoc.conf
+	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b docbook -d manpage $<
+
+%.5.html : %.5.txt asciidoc.conf
+	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b xhtml11 -d manpage $<
+
+%.5.xml : %.5.txt asciidoc.conf
+	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b docbook -d manpage $<
+
+%.html : %.txt asciidoc.conf
+	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b xhtml11 -d article -n $<
+
+%.xml : %.txt asciidoc.conf
+	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b docbook -d article $<
+
+% : %.xml
+	$(XMLTO) man $<
+
+%.html-chunked : %.xml
+	$(XMLTO) html -o $@ $<
 
 %.pdf : %.xml
 	$(DOCBOOK2PDF) $<
-
-%.1.html : %.1.txt
-	$(ASCIIDOC) -b xhtml11 -d manpage $<
-
-%.1.xml : %.1.txt
-	$(ASCIIDOC) -b docbook -d manpage -aversion=$(VERSION) $<
-
-%.1 : %.1.xml
-	$(XMLTO) -m manpage.xsl man $<
-
-%.5.html : %.5.txt
-	$(ASCIIDOC) -b xhtml11 -d manpage $<
-
-%.5.xml : %.5.txt
-	$(ASCIIDOC) -b docbook -d manpage -aversion=$(VERSION) $<
-
-%.5 : %.5.xml
-	$(XMLTO) -m manpage.xsl man $<
-
-%.html : %.txt
-	$(ASCIIDOC) -b xhtml11 -d article -n $<
-
-%.xml : %.txt
-	$(ASCIIDOC) -b docbook -d article $<
-
-%.html-chunked : %.xml
-	$(XMLTO) html -o $@ $<

## tig 0.14.1

=== Makefile ===
--- 
+++ 
@@ -34,10 +34,11 @@
 
 LDLIBS ?= -lcurses
 CFLAGS ?= -Wall -O2
-DFLAGS	= -g -DDEBUG -Werror
+DFLAGS	= -g -DDEBUG -Werror -O0
 PROGS	= tig
+TXTDOC	= tig.1.txt tigrc.5.txt manual.txt NEWS README INSTALL BUGS TODO
 MANDOC	= tig.1 tigrc.5
-HTMLDOC = tig.1.html tigrc.5.html manual.html README.html
+HTMLDOC = tig.1.html tigrc.5.html manual.html README.html NEWS.html
 ALLDOC	= $(MANDOC) $(HTMLDOC) manual.html-chunked manual.pdf
 
 # Never include the release number in the tarname for tagged
@@ -99,11 +100,15 @@
 	$(RM) $(PROGS) core *.o *.xml
 
 distclean: clean
-	$(RM) -r manual.html-chunked *.toc $(ALLDOC)
-	$(RM) -r autom4te.cache aclocal.m4 config.{h,log,make,status} config.h.in configure
+	$(RM) -r manual.html-chunked autom4te.cache
+	$(RM) *.toc $(ALLDOC) aclocal.m4 configure
+	$(RM) config.h config.log config.make config.status config.h.in
 
 spell-check:
-	aspell --lang=en --check tig.1.txt tigrc.5.txt manual.txt
+	for file in $(TXTDOC) tig.c; do \
+		aspell --lang=en --dont-backup \
+		       --personal=./contrib/aspell.dict check $$file; \
+	done
 
 strip: $(PROGS)
 	strip $(PROGS)
@@ -124,20 +129,6 @@
 
 configure: configure.ac acinclude.m4
 	$(AUTORECONF) -v
-
-# Maintainer stuff
-release-doc:
-	git checkout release && \
-	git merge master && \
-	$(MAKE) distclean doc-man doc-html sysconfdir=++SYSCONFDIR++ && \
-	git add -f $(MANDOC) $(HTMLDOC) && \
-	git commit -m "Sync docs" && \
-	git checkout master
-
-release-dist: release-doc
-	git checkout release && \
-	$(MAKE) dist && \
-	git checkout master
 
 .PHONY: all all-debug doc doc-man doc-html install install-doc \
 	install-doc-man install-doc-html clean spell-check dist rpm
@@ -161,6 +152,9 @@
 
 README.html: README asciidoc.conf
 	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b xhtml11 -d article -a readme $<
+
+NEWS.html: NEWS asciidoc.conf
+	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b xhtml11 -d article $<
 
 %.1.html : %.1.txt asciidoc.conf
 	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b xhtml11 -d manpage $<

## tig 0.15

=== Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 DFLAGS	= -g -DDEBUG -Werror -O0
 PROGS	= tig
 TXTDOC	= tig.1.txt tigrc.5.txt manual.txt NEWS README INSTALL BUGS TODO
-MANDOC	= tig.1 tigrc.5
+MANDOC	= tig.1 tigrc.5 tigmanual.7
 HTMLDOC = tig.1.html tigrc.5.html manual.html README.html NEWS.html
 ALLDOC	= $(MANDOC) $(HTMLDOC) manual.html-chunked manual.pdf
 
@@ -73,12 +73,14 @@
 
 install-doc-man: doc-man
 	mkdir -p $(DESTDIR)$(mandir)/man1 \
-		 $(DESTDIR)$(mandir)/man5
+		 $(DESTDIR)$(mandir)/man5 \
+		 $(DESTDIR)$(mandir)/man7
 	for doc in $(MANDOC); do \
 		sed 's#++SYSCONFDIR++#$(sysconfdir)#' < "$$doc" > "$$doc+"; \
 		case "$$doc" in \
 		*.1) install -p -m 0644 "$$doc+" "$(DESTDIR)$(mandir)/man1/$$doc" ;; \
 		*.5) install -p -m 0644 "$$doc+" "$(DESTDIR)$(mandir)/man5/$$doc" ;; \
+		*.7) install -p -m 0644 "$$doc+" "$(DESTDIR)$(mandir)/man7/$$doc" ;; \
 		esac; \
 		$(RM) "$$doc+"; \
 	done
@@ -150,11 +152,13 @@
 		*)	   ref="$$ref, $$line" ;; \
 		esac; done | sed 's/\[\[\(.*\)\]\]/\1/' > $@
 
-README.html: README asciidoc.conf
+README.html: README SITES INSTALL asciidoc.conf
 	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b xhtml11 -d article -a readme $<
 
 NEWS.html: NEWS asciidoc.conf
 	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b xhtml11 -d article $<
+
+tigmanual.7: manual.txt
 
 %.1.html : %.1.txt asciidoc.conf
 	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b xhtml11 -d manpage $<
@@ -166,6 +170,9 @@
 	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b xhtml11 -d manpage $<
 
 %.5.xml : %.5.txt asciidoc.conf
+	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b docbook -d manpage $<
+
+%.7.xml : %.7.txt asciidoc.conf
 	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b docbook -d manpage $<
 
 %.html : %.txt asciidoc.conf

## tig 0.16

=== Makefile ===
--- 
+++ 
@@ -85,6 +85,12 @@
 		$(RM) "$$doc+"; \
 	done
 
+install-release-doc-man:
+	GIT_INDEX_FILE=.tmp-doc-index git read-tree origin/release
+	GIT_INDEX_FILE=.tmp-doc-index git checkout-index -f --prefix=./ $(MANDOC)
+	rm -f .tmp-doc-index
+	$(MAKE) install-doc-man
+
 install-doc-html: doc-html
 	mkdir -p $(DESTDIR)$(docdir)/tig
 	for doc in $(HTMLDOC); do \
@@ -95,7 +101,14 @@
 		$(RM) "$$doc+"; \
 	done
 
+install-release-doc-html:
+	GIT_INDEX_FILE=.tmp-doc-index git read-tree origin/release
+	GIT_INDEX_FILE=.tmp-doc-index git checkout-index -f --prefix=./ $(HTMLDOC)
+	rm -f .tmp-doc-index
+	$(MAKE) install-doc-html
+
 install-doc: install-doc-man install-doc-html
+install-release-doc: install-release-doc-man install-release-doc-html
 
 clean:
 	$(RM) -r $(TARNAME) *.spec tig-*.tar.gz tig-*.tar.gz.md5

## tig 0.17

=== Makefile ===
--- 
+++ 
@@ -35,7 +35,8 @@
 LDLIBS ?= -lcurses
 CFLAGS ?= -Wall -O2
 DFLAGS	= -g -DDEBUG -Werror -O0
-PROGS	= tig
+PROGS	= tig test-graph
+SOURCE	= tig.c tig.h io.c io.h graph.c graph.h
 TXTDOC	= tig.1.txt tigrc.5.txt manual.txt NEWS README INSTALL BUGS TODO
 MANDOC	= tig.1 tigrc.5 tigmanual.7
 HTMLDOC = tig.1.html tigrc.5.html manual.html README.html NEWS.html
@@ -143,13 +144,17 @@
 	rpmbuild -ta $(TARNAME).tar.gz
 
 configure: configure.ac acinclude.m4
-	$(AUTORECONF) -v
+	$(AUTORECONF) -v -I contrib
 
 .PHONY: all all-debug doc doc-man doc-html install install-doc \
 	install-doc-man install-doc-html clean spell-check dist rpm
 
-tig.o: tig.c
-tig: tig.o
+io.o: io.c io.h tig.h
+graph.o: tig.h
+tig.o: tig.c tig.h io.h
+tig: tig.o io.o graph.o
+test-graph.o: test-graph.c io.h tig.h graph.h
+test-graph: io.o graph.o
 
 tig.spec: contrib/tig.spec.in
 	sed -e 's/@@VERSION@@/$(RPM_VERSION)/g' \

## tig 1.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,8 @@
 ## Makefile for tig
+
+# The last tagged version. Can be overridden either by the version from
+# git or from the value of the DIST_VERSION environment variable.
+VERSION	= 1.0
 
 all:
 
@@ -13,14 +17,10 @@
 mandir ?= $(datarootdir)/man
 # DESTDIR=
 
-# Get version either via git or from VERSION file. Allow either
-# to be overwritten by setting DIST_VERSION on the command line.
 ifneq (,$(wildcard .git))
 GITDESC	= $(subst tig-,,$(shell git describe))
 WTDIRTY	= $(if $(shell git diff-index HEAD 2>/dev/null),-dirty)
 VERSION	= $(GITDESC)$(WTDIRTY)
-else
-VERSION	= $(shell test -f VERSION && cat VERSION || echo "unknown-version")
 endif
 ifdef DIST_VERSION
 VERSION = $(DIST_VERSION)
@@ -35,9 +35,10 @@
 LDLIBS ?= -lcurses
 CFLAGS ?= -Wall -O2
 DFLAGS	= -g -DDEBUG -Werror -O0
-PROGS	= tig test-graph
+PROGS	= tig
+TESTS	= test-graph
 SOURCE	= tig.c tig.h io.c io.h graph.c graph.h
-TXTDOC	= tig.1.txt tigrc.5.txt manual.txt NEWS README INSTALL BUGS TODO
+TXTDOC	= tig.1.txt tigrc.5.txt manual.txt NEWS README INSTALL BUGS
 MANDOC	= tig.1 tigrc.5 tigmanual.7
 HTMLDOC = tig.1.html tigrc.5.html manual.html README.html NEWS.html
 ALLDOC	= $(MANDOC) $(HTMLDOC) manual.html-chunked manual.pdf
@@ -59,8 +60,8 @@
 XMLTO ?= xmlto
 DOCBOOK2PDF ?= docbook2pdf
 
-all: $(PROGS)
-all-debug: $(PROGS)
+all: $(PROGS) $(TESTS)
+all-debug: $(PROGS) $(TESTS)
 all-debug: CFLAGS += $(DFLAGS)
 doc: $(ALLDOC)
 doc-man: $(MANDOC)
@@ -113,7 +114,7 @@
 
 clean:
 	$(RM) -r $(TARNAME) *.spec tig-*.tar.gz tig-*.tar.gz.md5
-	$(RM) $(PROGS) core *.o *.xml
+	$(RM) $(PROGS) $(TESTS) core *.o *.xml
 
 distclean: clean
 	$(RM) -r manual.html-chunked autom4te.cache
@@ -131,10 +132,10 @@
 
 dist: configure tig.spec
 	@mkdir -p $(TARNAME) && \
-	cp tig.spec configure config.h.in aclocal.m4 $(TARNAME) && \
-	echo $(VERSION) > $(TARNAME)/VERSION
+	cp Makefile tig.spec configure config.h.in aclocal.m4 $(TARNAME) && \
+	sed -i "s/VERSION\s=\s[0-9]\+[.][0-9]\+/VERSION	= $(VERSION)/" $(TARNAME)/Makefile
 	git archive --format=tar --prefix=$(TARNAME)/ HEAD | \
-	tar --delete $(TARNAME)/VERSION > $(TARNAME).tar && \
+	tar --delete $(TARNAME)/Makefile > $(TARNAME).tar && \
 	tar rf $(TARNAME).tar `find $(TARNAME)/*` && \
 	gzip -f -9 $(TARNAME).tar && \
 	md5sum $(TARNAME).tar.gz > $(TARNAME).tar.gz.md5
@@ -150,9 +151,10 @@
 	install-doc-man install-doc-html clean spell-check dist rpm
 
 io.o: io.c io.h tig.h
-graph.o: tig.h
-tig.o: tig.c tig.h io.h
-tig: tig.o io.o graph.o
+graph.o: graph.c graph.h tig.h
+refs.o: refs.c refs.h tig.h
+tig.o: tig.c tig.h graph.h io.h refs.h git.h
+tig: tig.o io.o graph.o refs.o
 test-graph.o: test-graph.c io.h tig.h graph.h
 test-graph: io.o graph.o
 
@@ -164,8 +166,8 @@
 manual.toc: manual.txt
 	sed -n '/^\[\[/,/\(---\|~~~\)/p' < $< | while read line; do \
 		case "$$line" in \
-		"-----"*)  echo ". <<$$ref>>"; ref= ;; \
-		"~~~~~"*)  echo "- <<$$ref>>"; ref= ;; \
+		"----"*)  echo ". <<$$ref>>"; ref= ;; \
+		"~~~~"*)  echo "- <<$$ref>>"; ref= ;; \
 		"[["*"]]") ref="$$line" ;; \
 		*)	   ref="$$ref, $$line" ;; \
 		esac; done | sed 's/\[\[\(.*\)\]\]/\1/' > $@

=== debian/changelog ===
tig (1.0-2) unstable; urgency=low

  * debian/patches:
    - Added bts680442-broken-graph.patch -- upstream patch fixing a regression
      breaking the graph when path spec is specified; thanks to Simon Paillard
      for reporting this (Closes: #680442).
  * debian/source/format:
    - Change to '3.0 (quilt)' format in order to apply the patch.

 -- Sebastian Harl <tokkee@debian.org>  Sun, 15 Jul 2012 11:42:29 +0200

tig (1.0-1) unstable; urgency=low

  * New upstream release; thanks to Salvatore Bonaccorso and Romain Francoise
    for reporting this (Closes: #656810).
    - Fixed substitution of %(xxx) in prompt commands; thanks to Daniel T Chen
      for reporting this (Closes: #635546).
    - Fixed 'go to a line' feature; thanks to Christian Ohm for reporting this
      (Closes: #626124).
  * debian/rules:
    - Don't remove 'test-graph'; it is no longer installed by 'make install'.
    - Don't try to install TODO; it no longer exists.
    - Split build target into build-{arch,indep} as recommended by policy.
    - Enabled harding build flags (use dpkg-buildflags).
  * debian/control:
    - Updated standards-version to 3.9.3 -- no changes.

 -- Sebastian Harl <tokkee@debian.org>  Thu, 17 May 2012 18:15:46 +0200

tig (0.17-1) unstable; urgency=low

  * New upstream release:
    - Fixed ncurses 2.8 issue causing tig to fail to start; thanks to Tarek
      Soliman for reporting this and RjY for pointing out the new upstream
      release (Closes: #617318).
    - Enabled revision graph rendering by default; thanks to Paul Wise for
      reporting this (Closes: #611876).
  * Uploading to unstable -- Squeeze has been released \o/
  * debian/rules:
    - (Again) pass -I/usr/include/ncursesw to CFLAGS; this is no longer
      handled by the configure script which now uses the third-party
      'AX_WITH_CURSES' macro.
    - Do not install 'test-graph' to the package.
    - Install 'NEWS' as upstream changelog, rather than as 'NEWS'.

 -- Sebastian Harl <tokkee@debian.org>  Tue, 08 Mar 2011 14:43:17 +0100

tig (0.16.2-1) experimental; urgency=low

  * New upstream release.
  * debian/patches:
    - Removed bts594549-pager-segfault -- included upstream.
  * debian/control, debian/rules:
    - No longer use dpatch.
  * Removed debian/README.source.
  * Uploading to experimental because of the Squeeze freeze.
  * debian/control:
    - Updated Standards-Version to 3.9.1 -- no changes.

 -- Sebastian Harl <tokkee@debian.org>  Tue, 21 Sep 2010 21:57:26 +0200

tig (0.16-2) unstable; urgency=low

  * debian/patches:
    - Added bts594549-pager-segfault - upstream patch fixing a segfault when
      started in pager mode; thanks to Kumar Appaiah for reporting this and
      pointing out the upstream fix (Closes: #594549).
  * debian/control, debian/rules:
    - Build-depend on and use dpatch.
  * Added debian/README.source:
    - The file includes a pointer to /usr/share/doc/dpatch/README.source.gz.

 -- Sebastian Harl <tokkee@debian.org>  Fri, 03 Sep 2010 21:23:44 +0200

tig (0.16-1) unstable; urgency=low

  * New upstream release; thanks to Sedat Dilek for the pointer
    (Closes: #586560).
  * debian/control:
    - Updated versioned build-dep on asciidoc to versions >= 8.4 as documented
      in the upstream `INSTALL' file.
    - Updated standards-version to 3.8.4 -- no changes.
    - Added epoch to versioned dependency on git-core and added git (>=
      1:1.7.0.4-2~) as an alternative dependency, according to the rename of
      the package; thanks to Jonathan Nieder and Beat Bolli for reporting this
      (Closes: #568582).
    - Depend on ${misc:Depends}, as recommended by debhelper.

 -- Sebastian Harl <tokkee@debian.org>  Tue, 22 Jun 2010 22:51:20 +0200

tig (0.15-1) unstable; urgency=low

  * New upstream release (Closes: #557575):
    - Fixed blame view when cwd is not the repo root; thanks to Chris Lamb for
      reporting this (Closes: #540766).
  * debian/control:
    - No longer build-depend on git-core - this is not required by the build
      system any more.
    - Updated Standards-Version to 3.8.3 - no changes.
  * debian/patches:
    - Removed asciidoc-8.4.dpatch - included upstream.
  * Added debian/tig.doc-base.
    - … pointing to manual.html and manual.pdf.

 -- Sebastian Harl <tokkee@debian.org>  Mon, 23 Nov 2009 22:56:47 +0100

tig (0.14.1-2) unstable; urgency=low

  * debian/patches:
    - Added asciidoc-8.4.dpatch - upstream patch fixing build issues with
      asciidoc 8.4, thanks to Lucas Nussbaum for reporting this
      (Closes: #534046).
  * debian/control:
    - Updated standards-version to 3.8.2 - no changes.

 -- Sebastian Harl <tokkee@debian.org>  Sun, 21 Jun 2009 18:36:46 +0200

tig (0.14.1-1) unstable; urgency=low

  * New upstream release.
  * Uploading to unstable - Lenny has been released (Closes: #520636).
  * debian/control:
    - Moved tig from section "utils" to the newly added "vcs".
  * debian/patches:
    - Removed tigrc-example-fix.dpatch - included upstream.
    - Removed quoted-config-opts-fix.dpatch - included upstream.
  * debian/control:
    - Updated standards-version to 3.8.1 - no changes.

 -- Sebastian Harl <sh@tokkee.org>  Fri, 03 Apr 2009 18:07:18 +0200

tig (0.14-1) experimental; urgency=low

  * New upstream release.
  * debian/patches:
    - Removed non-utf8-fix.dpatch - included upstream.
    - Removed tigrc-parsing-fix.dpatch - included upstream.
    - Removed mem-corruption-fix.dpatch - included upstream.
    - Added tigrc-example-fix.dpatch - upstream patch fixing an error in
      examples for the set command (Closes: #514990).
    - Added quoted-config-opts-fix.dpatch - backported upstream patch fixing
      the handling of quoted strings in the config file.

 -- Sebastian Harl <sh@tokkee.org>  Sat, 14 Feb 2009 13:59:03 +0100

tig (0.13-1) experimental; urgency=low

  * New upstream release (Closes: #513727).
  * debian/copyright: Use © instead of (C) to make lintian happy.
  * debian/patches:


=== debian/control ===
Source: tig
Section: vcs
Priority: optional
Maintainer: Sebastian Harl <tokkee@debian.org>
Build-Depends: debhelper (>= 5), dpkg-dev (>= 1.14.6), libncursesw5-dev, asciidoc (>= 8.4), xmlto, docbook-utils
Standards-Version: 3.9.3
Homepage: http://jonas.nitro.dk/tig/
Vcs-Git: git://git.tokkee.org/pkg-tig.git
Vcs-Browser: http://git.tokkee.org/?p=pkg-tig.git

Package: tig
Architecture: any
Depends: git (>= 1:1.7.0.4-2~) | git-core (>= 1:1.5.4), ${shlibs:Depends},
 ${misc:Depends}
Description: ncurses-based Git repository browser
 This package contains a text-mode interface for the version control system
 Git. It may be used to browse the history and contents of a repository.
 .
 The following main features are supported:
  - View revision logs, commit messages, diffstats, diffs, archive trees and
    file contents.
  - Visualize revision graphs.
  - Stage / unstage changes and add untracked files.
  - Merge files.
  - Cherry-pick commits.
 .
 tig may also be used as a pager. It reads input from stdin and colorizes it.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for tig
#
# Written by Sebastian Harl <tokkee@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CFLAGS   = $(shell dpkg-buildflags --get CFLAGS)
CFLAGS  += -Wall -g -I/usr/include/ncursesw

CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)

LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr --mandir=\$${prefix}/share/man --sysconfdir=/etc \
		CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

build: build-arch build-indep

build-arch: build-stamp
build-indep: build-stamp

build-stamp: config.status
	dh_testdir
	
	$(MAKE) all doc
	
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	
	$(MAKE) clean
	
	rm -f config.h config.log config.make config.status
	rm -rf manual.html-chunked/
	rm -f manual.pdf manual.html manual.toc
	rm -f tig.1 tig.1.html tigrc.5 tigrc.5.html
	rm -f NEWS.html README.html
	
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	
	$(MAKE) install install-doc DESTDIR=$(CURDIR)/debian/tig
	
	mkdir -p debian/tig/etc/bash_completion.d
	cp contrib/tig-completion.bash debian/tig/etc/bash_completion.d/tig
	chmod 644 debian/tig/etc/bash_completion.d/tig

binary-indep:
	# nothing to do here

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs NEWS
	dh_installdocs BUGS manual.pdf
	dh_installexamples contrib/tigrc
	dh_link
	dh_strip
	dh_compress -X.pdf
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## tig 1.1

=== Makefile ===
--- 
+++ 
@@ -2,9 +2,13 @@
 
 # The last tagged version. Can be overridden either by the version from
 # git or from the value of the DIST_VERSION environment variable.
-VERSION	= 1.0
+VERSION	= 1.1
 
 all:
+
+# Include kernel specific configuration
+kernel_name := $(shell sh -c 'uname -s 2>/dev/null || echo unknown')
+-include contrib/config.make-$(kernel_name)
 
 # Include setting from the configure script
 -include config.make
@@ -54,7 +58,6 @@
 override CPPFLAGS += '-DTIG_VERSION="$(VERSION)"'
 override CPPFLAGS += '-DSYSCONFDIR="$(sysconfdir)"'
 
-AUTORECONF ?= autoreconf
 ASCIIDOC ?= asciidoc
 ASCIIDOC_FLAGS = -aversion=$(VERSION) -asysconfdir=$(sysconfdir)
 XMLTO ?= xmlto
@@ -144,19 +147,33 @@
 rpm: dist
 	rpmbuild -ta $(TARNAME).tar.gz
 
-configure: configure.ac acinclude.m4
-	$(AUTORECONF) -v -I contrib
+# Other autoconf-related rules are hidden in config.make.in so that
+# they don't confuse Make when we aren't actually using ./configure
+configure: configure.ac acinclude.m4 contrib/*.m4
+	./autogen.sh
 
 .PHONY: all all-debug doc doc-man doc-html install install-doc \
 	install-doc-man install-doc-html clean spell-check dist rpm
 
-io.o: io.c io.h tig.h
-graph.o: graph.c graph.h tig.h
-refs.o: refs.c refs.h tig.h
-tig.o: tig.c tig.h graph.h io.h refs.h git.h
+graph.o: graph.c tig.h graph.h
+io.o: io.c tig.h io.h
+refs.o: refs.c tig.h io.h refs.h
+test-graph.o: test-graph.c tig.h io.h graph.h
+tig.o: tig.c tig.h io.h refs.h graph.h git.h
+
 tig: tig.o io.o graph.o refs.o
-test-graph.o: test-graph.c io.h tig.h graph.h
 test-graph: io.o graph.o
+
+# To check the above.
+#
+# NOTE: Assumes GCC, and that no local headers are conditionally
+# included (with the exception of config.h, which we take care of in
+# config.make).
+show-deps:
+	@echo "== without config.h =="
+	$(CC) -MM *.c
+	@echo "== with config.h =="
+	$(CC) -DHAVE_CONFIG_H -MM *.c
 
 tig.spec: contrib/tig.spec.in
 	sed -e 's/@@VERSION@@/$(RPM_VERSION)/g' \

=== debian/changelog ===
tig (1.1-1) experimental; urgency=low

  * New upstream release.
    - Various documentation improvements in tigrc(5); thanks to Yuri D'Elia
      for suggesting this (Closes: #682766).
  * Uploading to experimental because of Wheezy freeze.
  * debian/patches:
    - Removed bts680442-broken-graph.patch; applied upstream.
  * debian/control:
    - Updated standards-version to 3.9.4 -- no changes.

 -- Sebastian Harl <tokkee@debian.org>  Tue, 29 Jan 2013 22:14:02 +0100

## tig 1.2.1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # The last tagged version. Can be overridden either by the version from
 # git or from the value of the DIST_VERSION environment variable.
-VERSION	= 1.1
+VERSION	= 1.2.1
 
 all:
 
@@ -39,13 +39,12 @@
 LDLIBS ?= -lcurses
 CFLAGS ?= -Wall -O2
 DFLAGS	= -g -DDEBUG -Werror -O0
-PROGS	= tig
+EXE	= tig
 TESTS	= test-graph
-SOURCE	= tig.c tig.h io.c io.h graph.c graph.h
-TXTDOC	= tig.1.txt tigrc.5.txt manual.txt NEWS README INSTALL BUGS
-MANDOC	= tig.1 tigrc.5 tigmanual.7
-HTMLDOC = tig.1.html tigrc.5.html manual.html README.html NEWS.html
-ALLDOC	= $(MANDOC) $(HTMLDOC) manual.html-chunked manual.pdf
+TXTDOC	= doc/tig.1.asciidoc doc/tigrc.5.asciidoc doc/manual.asciidoc NEWS README INSTALL BUGS
+MANDOC	= doc/tig.1 doc/tigrc.5 doc/tigmanual.7
+HTMLDOC = doc/tig.1.html doc/tigrc.5.html doc/manual.html README.html INSTALL.html NEWS.html
+ALLDOC	= $(MANDOC) $(HTMLDOC) doc/manual.html-chunked doc/manual.pdf
 
 # Never include the release number in the tarname for tagged
 # versions.
@@ -59,22 +58,20 @@
 override CPPFLAGS += '-DSYSCONFDIR="$(sysconfdir)"'
 
 ASCIIDOC ?= asciidoc
-ASCIIDOC_FLAGS = -aversion=$(VERSION) -asysconfdir=$(sysconfdir)
+ASCIIDOC_FLAGS = -aversion=$(VERSION) -asysconfdir=$(sysconfdir) -f doc/asciidoc.conf
 XMLTO ?= xmlto
 DOCBOOK2PDF ?= docbook2pdf
 
-all: $(PROGS) $(TESTS)
-all-debug: $(PROGS) $(TESTS)
+all: $(EXE) $(TESTS)
+all-debug: $(EXE) $(TESTS)
 all-debug: CFLAGS += $(DFLAGS)
 doc: $(ALLDOC)
 doc-man: $(MANDOC)
 doc-html: $(HTMLDOC)
 
 install: all
-	mkdir -p $(DESTDIR)$(bindir) && \
-	for prog in $(PROGS); do \
-		install -p -m 0755 "$$prog" "$(DESTDIR)$(bindir)"; \
-	done
+	@mkdir -p $(DESTDIR)$(bindir)
+	install -p -m 0755 $(EXE) "$(DESTDIR)$(bindir)"
 
 install-doc-man: doc-man
 	mkdir -p $(DESTDIR)$(mandir)/man1 \
@@ -82,10 +79,11 @@
 		 $(DESTDIR)$(mandir)/man7
 	for doc in $(MANDOC); do \
 		sed 's#++SYSCONFDIR++#$(sysconfdir)#' < "$$doc" > "$$doc+"; \
+		bdoc=$$(basename $$doc); \
 		case "$$doc" in \
-		*.1) install -p -m 0644 "$$doc+" "$(DESTDIR)$(mandir)/man1/$$doc" ;; \
-		*.5) install -p -m 0644 "$$doc+" "$(DESTDIR)$(mandir)/man5/$$doc" ;; \
-		*.7) install -p -m 0644 "$$doc+" "$(DESTDIR)$(mandir)/man7/$$doc" ;; \
+		*.1) install -p -m 0644 "$$doc+" "$(DESTDIR)$(mandir)/man1/$$bdoc" ;; \
+		*.5) install -p -m 0644 "$$doc+" "$(DESTDIR)$(mandir)/man5/$$bdoc" ;; \
+		*.7) install -p -m 0644 "$$doc+" "$(DESTDIR)$(mandir)/man7/$$bdoc" ;; \
 		esac; \
 		$(RM) "$$doc+"; \
 	done
@@ -100,8 +98,9 @@
 	mkdir -p $(DESTDIR)$(docdir)/tig
 	for doc in $(HTMLDOC); do \
 		sed 's#++SYSCONFDIR++#$(sysconfdir)#' < "$$doc" > "$$doc+"; \
+		bdoc=$$(basename $$doc); \
 		case "$$doc" in \
-		*.html) install -p -m 0644 "$$doc+" "$(DESTDIR)$(docdir)/tig/$$doc" ;; \
+		*.html) install -p -m 0644 "$$doc+" "$(DESTDIR)$(docdir)/tig/$$bdoc" ;; \
 		esac; \
 		$(RM) "$$doc+"; \
 	done
@@ -117,11 +116,11 @@
 
 clean:
 	$(RM) -r $(TARNAME) *.spec tig-*.tar.gz tig-*.tar.gz.md5
-	$(RM) $(PROGS) $(TESTS) core *.o *.xml
+	$(RM) $(EXE) $(TESTS) core *.o compat/*.o *.xml
 
 distclean: clean
-	$(RM) -r manual.html-chunked autom4te.cache
-	$(RM) *.toc $(ALLDOC) aclocal.m4 configure
+	$(RM) -r doc/manual.html-chunked autom4te.cache release-docs
+	$(RM) doc/*.toc $(ALLDOC) aclocal.m4 configure
 	$(RM) config.h config.log config.make config.status config.h.in
 
 spell-check:
@@ -130,13 +129,24 @@
 		       --personal=./contrib/aspell.dict check $$file; \
 	done
 
-strip: $(PROGS)
-	strip $(PROGS)
+strip: $(EXE)
+	strip $(EXE)
+
+update-headers:
+	@for file in *.[ch]; do \
+		grep -q '/* Copyright' "$$file" && \
+			sed '0,/.*\*\//d' < "$$file" | \
+			grep -v '/* vim: set' > "$$file.tmp"; \
+		{ cat contrib/header.h "$$file.tmp"; \
+		  echo "/* vim: set ts=8 sw=8 noexpandtab: */"; } > "$$file"; \
+		rm "$$file.tmp"; \
+		echo "Updated $$file"; \
+	done
 
 dist: configure tig.spec
 	@mkdir -p $(TARNAME) && \
 	cp Makefile tig.spec configure config.h.in aclocal.m4 $(TARNAME) && \
-	sed -i "s/VERSION\s=\s[0-9]\+[.][0-9]\+/VERSION	= $(VERSION)/" $(TARNAME)/Makefile
+	sed -i "s/VERSION\s\+=\s\+[0-9]\+\([.][0-9]\+\)\+/VERSION	= $(VERSION)/" $(TARNAME)/Makefile
 	git archive --format=tar --prefix=$(TARNAME)/ HEAD | \
 	tar --delete $(TARNAME)/Makefile > $(TARNAME).tar && \
 	tar rf $(TARNAME).tar `find $(TARNAME)/*` && \
@@ -155,13 +165,25 @@
 .PHONY: all all-debug doc doc-man doc-html install install-doc \
 	install-doc-man install-doc-html clean spell-check dist rpm
 
+ifdef NO_MKSTEMPS
+COMPAT_CPPFLAGS += -DNO_MKSTEMPS
+COMPAT_OBJS += compat/mkstemps.o
+endif
+
+ifdef NO_SETENV
+COMPAT_CPPFLAGS += -DNO_SETENV
+COMPAT_OBJS += compat/setenv.o
+endif
+
+override CPPFLAGS += $(COMPAT_CPPFLAGS)
+
 graph.o: graph.c tig.h graph.h
 io.o: io.c tig.h io.h
 refs.o: refs.c tig.h io.h refs.h
 test-graph.o: test-graph.c tig.h io.h graph.h
 tig.o: tig.c tig.h io.h refs.h graph.h git.h
 
-tig: tig.o io.o graph.o refs.o
+tig: tig.o io.o graph.o refs.o $(COMPAT_OBJS)
 test-graph: io.o graph.o
 
 # To check the above.
@@ -179,8 +201,9 @@
 	sed -e 's/@@VERSION@@/$(RPM_VERSION)/g' \
 	    -e 's/@@RELEASE@@/$(RPM_RELEASE)/g' < $< > $@
 
-manual.html: manual.toc
-manual.toc: manual.txt
+doc/manual.html: doc/manual.toc
+doc/manual.html: ASCIIDOC_FLAGS += -ainclude-manual-toc
+%.toc: %.asciidoc
 	sed -n '/^\[\[/,/\(---\|~~~\)/p' < $< | while read line; do \
 		case "$$line" in \
 		"----"*)  echo ". <<$$ref>>"; ref= ;; \
@@ -189,40 +212,43 @@
 		*)	   ref="$$ref, $$line" ;; \
 		esac; done | sed 's/\[\[\(.*\)\]\]/\1/' > $@
 
-README.html: README SITES INSTALL asciidoc.conf
+README.html: README doc/asciidoc.conf
 	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b xhtml11 -d article -a readme $<
 
-NEWS.html: NEWS asciidoc.conf
+INSTALL.html: INSTALL doc/asciidoc.conf
 	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b xhtml11 -d article $<
 
-tigmanual.7: manual.txt
-
-%.1.html : %.1.txt asciidoc.conf
+NEWS.html: NEWS doc/asciidoc.conf
+	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b xhtml11 -d article $<
+
+doc/tigmanual.7: doc/manual.asciidoc
+
+%.1.html : %.1.asciidoc doc/asciidoc.conf
 	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b xhtml11 -d manpage $<
 
-%.1.xml : %.1.txt asciidoc.conf
+%.1.xml : %.1.asciidoc doc/asciidoc.conf
 	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b docbook -d manpage $<
 
-%.5.html : %.5.txt asciidoc.conf
+%.5.html : %.5.asciidoc doc/asciidoc.conf
 	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b xhtml11 -d manpage $<
 
-%.5.xml : %.5.txt asciidoc.conf
+%.5.xml : %.5.asciidoc doc/asciidoc.conf
 	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b docbook -d manpage $<
 
-%.7.xml : %.7.txt asciidoc.conf
+%.7.xml : %.7.asciidoc doc/asciidoc.conf
 	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b docbook -d manpage $<
 
-%.html : %.txt asciidoc.conf
+%.html : %.asciidoc doc/asciidoc.conf
 	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b xhtml11 -d article -n $<
 
-%.xml : %.txt asciidoc.conf
+%.xml : %.asciidoc doc/asciidoc.conf
 	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b docbook -d article $<
 
 % : %.xml
-	$(XMLTO) man $<
+	$(XMLTO) man -o doc $<
 
 %.html-chunked : %.xml
 	$(XMLTO) html -o $@ $<
 
 %.pdf : %.xml
-	$(DOCBOOK2PDF) $<
+	$(DOCBOOK2PDF) -o doc $<

=== debian/changelog ===
tig (1.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Sebastian Harl <tokkee@debian.org>  Sat, 23 Nov 2013 19:46:52 +0100

tig (1.1-2) unstable; urgency=low

  * Re-upload to unstable; Wheezy has been released long ago (Closes: #712162).
  * Fixed operation when inside a submodule (Closes: #701912).

 -- Sebastian Harl <tokkee@debian.org>  Sat, 23 Nov 2013 18:49:16 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Sebastian Harl <tokkee@debian.org>
 Build-Depends: debhelper (>= 5), dpkg-dev (>= 1.14.6), libncursesw5-dev, asciidoc (>= 8.4), xmlto, docbook-utils
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://jonas.nitro.dk/tig/
 Vcs-Git: git://git.tokkee.org/pkg-tig.git
 Vcs-Browser: http://git.tokkee.org/?p=pkg-tig.git

=== debian/rules ===
--- 
+++ 
@@ -52,10 +52,11 @@
 	$(MAKE) clean
 	
 	rm -f config.h config.log config.make config.status
-	rm -rf manual.html-chunked/
-	rm -f manual.pdf manual.html manual.toc
-	rm -f tig.1 tig.1.html tigrc.5 tigrc.5.html
-	rm -f NEWS.html README.html
+	rm -rf doc/manual.html-chunked/
+	rm -f doc/manual.pdf doc/manual.html doc/manual.toc
+	rm -f doc/tigmanual.7
+	rm -f doc/tig.1 doc/tig.1.html doc/tigrc.5 doc/tigrc.5.html
+	rm -f INSTALL.html NEWS.html README.html
 	
 	dh_clean 
 
@@ -66,6 +67,9 @@
 	dh_installdirs
 	
 	$(MAKE) install install-doc DESTDIR=$(CURDIR)/debian/tig
+	# don't ship install instructions; README only links to them
+	rm -f debian/tig/usr/share/doc/tig/INSTALL.html \
+		debian/tig/usr/share/doc/tig/README.html
 	
 	mkdir -p debian/tig/etc/bash_completion.d
 	cp contrib/tig-completion.bash debian/tig/etc/bash_completion.d/tig
@@ -78,7 +82,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs NEWS
-	dh_installdocs BUGS manual.pdf
+	dh_installdocs BUGS doc/manual.pdf
 	dh_installexamples contrib/tigrc
 	dh_link
 	dh_strip

=== debian/watch ===
version=3
http://jonas.nitro.dk/tig/releases/ tig-(.*)\.tar\.gz
